Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.5 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29379

Description

Ever since I did the first upgrade between 3.x versions, I've had to kill the QGIS instance that starts, as it hangs on the splash screen.

After doing that, a valid session completes startup and I can continue.

I tried uninstalling and reinstalling but that made no difference. Then I tried creating a new profile and opening into that profile and that

solves the problem. It's good that only one instance starts now but I lose out on my whole working environment from my default profile.

Is there a way to fix the problem and keep my profile?

History

#1 - 2019-03-12 11:27 AM - Giovanni Manghi

- Operating System changed from OSX to macOS

- Status changed from Open to Feedback

Have you tried if you have the same problems (around the macOS release) if you use the lutraconsulting installer instead?

#2 - 2019-03-13 07:20 AM - Alister Hood

Can you clarify which "profile" you mean?  It sounds like you may be talking about your user profile in the operating system.

If so, you probably need to look at clearing out the QGIS profile instead.

#3 - 2019-04-11 12:00 PM - Gavin Fleming

I haven't tried the Lutra installer yet.

I am talking about QGIS profile, not the OS profile.

#4 - 2019-04-11 04:20 PM - Giovanni Manghi

Gavin Fleming wrote:

I haven't tried the Lutra installer yet.

if you can please try it.
